import{_ as a,o as c,c as l,a as e,b as n,w as s,d as t,e as d,r}from"./app.a7e4d414.js";const h={},_=e("h3",{id:"repo-mirror",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#repo-mirror","aria-hidden":"true"},"#"),t(" Repo Mirror")],-1),u={href:"https://git.code.tencent.com/Tencent_Open_Source/CodeAnalysis.git",target:"_blank",rel:"noopener noreferrer"},p=t("https://git.code.tencent.com/Tencent_Open_Source/CodeAnalysis.git"),m=d('<h3 id="what-is-tca" tabindex="-1"><a class="header-anchor" href="#what-is-tca" aria-hidden="true">#</a> What is TCA</h3><p>Tencent Cloud Code Analysis (TCA for short, code-named <strong>CodeDog</strong> inside the company early) is a comprehensive platform for code analysis and issue tracking. TCA consist of three components, server, web and client. It integrates of a number of self-developed tools, and also supports dynamic integration of code analysis tools in various programming languages.</p><p>Code analysis is a technology, using lexical analysis, syntax analysis, control-flow analysis, data-flow analysis to make a comprehensive analysis of the code, so as to verify whether the code meets the requirements of normative, security, reliability, maintainability and other indicators.</p><p>Using TCA can help team find normative, structural, security vulnerabilities and other issues in the code, continuously monitor the quality of the project code and issue alerts. At the same time, TCA opens up APIs to support connection with upstream and downstream systems, so as to integrate code analysis capabilities, ensure code quality, and be more conducive to inheriting an excellent team code culture.</p><p><img src="https://tencent.github.io/CodeAnalysis/media/Components.png" alt="\u7EC4\u4EF6\u56FE"></p><p><img src="https://tencent.github.io/CodeAnalysis/media/Flow.png" alt="\u6D41\u7A0B\u56FE"></p><h3 id="experience" tabindex="-1"><a class="header-anchor" href="#experience" aria-hidden="true">#</a> Experience</h3>',7),g={href:"http://tca.tencent.com",target:"_blank",rel:"noopener noreferrer"},f=t("Experience Link"),y=e("h3",{id:"getting-started",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#getting-started","aria-hidden":"true"},"#"),t(" Getting Started")],-1),b=t("How to get start"),A=t("How to deploy server and web"),C=t("How to deploy server and web with docker-compose"),k=t("How to use client"),E=t("Deploy Q&A"),x=e("h3",{id:"community",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#community","aria-hidden":"true"},"#"),t(" Community")],-1),T=e("li",null,"WeChat official account:\u817E\u8BAF\u4E91\u9759\u6001\u5206\u6790",-1),w=e("li",null,"QQ Group: 361791391",-1),v={href:"https://github.com/Tencent/CodeAnalysis/discussions",target:"_blank",rel:"noopener noreferrer"},B=t("Discussion"),S={href:"https://github.com/Tencent/CodeAnalysis/wiki",target:"_blank",rel:"noopener noreferrer"},I=t("Wiki"),N={href:"https://github.com/Tencent/CodeAnalysis/tree/main/%E8%85%BE%E8%AE%AF%E4%BA%91%E4%BB%A3%E7%A0%81%E5%88%86%E6%9E%90%E7%99%BD%E7%9A%AE%E4%B9%A6.pdf",target:"_blank",rel:"noopener noreferrer"},q=t("White Paper"),L=e("h3",{id:"changelogs",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#changelogs","aria-hidden":"true"},"#"),t(" Changelogs")],-1),O=t("Check our "),W={href:"https://github.com/Tencent/CodeAnalysis/tree/main/CHANGELOG.md",target:"_blank",rel:"noopener noreferrer"},F=t("Changelog"),G=e("h3",{id:"contributing",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#contributing","aria-hidden":"true"},"#"),t(" Contributing")],-1),H=t("Check out "),R={href:"https://github.com/Tencent/CodeAnalysis/tree/main/CONTRIBUTING.md",target:"_blank",rel:"noopener noreferrer"},D=t("CONTRIBUTING"),P=t(" to see how to develop with TCA."),Q={href:"https://github.com/weopenprojects/WeOpen-Star/issues/19#issue-1228583868",target:"_blank",rel:"noopener noreferrer"},V=t("Tencent WeOpen Star Project"),j=t("\uFF08From May 2022 to September 2022\uFF09"),M={href:"https://opensource.tencent.com/contribution",target:"_blank",rel:"noopener noreferrer"},U=t("Tencent Open Source Incentive Program"),z=t(" encourages the participation and contribution of developers. We look forward to your active participation."),J=e("h3",{id:"license",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#license","aria-hidden":"true"},"#"),t(" License")],-1),K=t("TCA is "),X={href:"https://github.com/Tencent/CodeAnalysis/tree/main/LICENSE",target:"_blank",rel:"noopener noreferrer"},Y=t("MIT licensed");function Z($,ee){const o=r("ExternalLinkIcon"),i=r("RouterLink");return c(),l("div",null,[_,e("p",null,[e("a",u,[p,n(o)])]),m,e("p",null,[e("a",g,[f,n(o)])]),y,e("ul",null,[e("li",null,[n(i,{to:"/en/quickStarted/intro.html"},{default:s(()=>[b]),_:1})]),e("li",null,[n(i,{to:"/en/quickStarted/deploySever.html#%E9%80%9A%E8%BF%87%E6%BA%90%E4%BB%A3%E7%A0%81"},{default:s(()=>[A]),_:1})]),e("li",null,[n(i,{to:"/en/quickStarted/deploySever.html#%E9%80%9A%E8%BF%87docker-compose"},{default:s(()=>[C]),_:1})]),e("li",null,[n(i,{to:"/en/quickStarted/deployClient.html"},{default:s(()=>[k]),_:1})]),e("li",null,[n(i,{to:"/en/quickStarted/FAQ.html"},{default:s(()=>[E]),_:1})])]),x,e("ul",null,[T,w,e("li",null,[e("a",v,[B,n(o)])]),e("li",null,[e("a",S,[I,n(o)])]),e("li",null,[e("a",N,[q,n(o)])])]),L,e("ul",null,[e("li",null,[O,e("a",W,[F,n(o)])])]),G,e("ul",null,[e("li",null,[H,e("a",R,[D,n(o)]),P]),e("li",null,[e("a",Q,[V,n(o)]),j]),e("li",null,[e("a",M,[U,n(o)]),z])]),J,e("p",null,[K,e("a",X,[Y,n(o)])])])}var ne=a(h,[["render",Z],["__file","index.html.vue"]]);export{ne as default};
